package com.zg.project.information.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zg.framework.aspectj.lang.annotation.Excel;
import com.zg.framework.web.domain.BaseEntity;

/**
 * 场景编号对象 scene_mapping
 * 
 * @author zg
 * @date 2025-05-24
 */
public class SceneMapping extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    private Long id;

    /** 场景编号 */
    @Excel(name = "场景编号")
    private String sceneCode;

    /** 场景名称 */
    @Excel(name = "场景名称")
    private String sceneName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSceneCode(String sceneCode) 
    {
        this.sceneCode = sceneCode;
    }

    public String getSceneCode() 
    {
        return sceneCode;
    }

    public void setSceneName(String sceneName) 
    {
        this.sceneName = sceneName;
    }

    public String getSceneName() 
    {
        return sceneName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sceneCode", getSceneCode())
            .append("sceneName", getSceneName())
            .toString();
    }
}
